# All Sport Events for a Specific Date Endpoint

### About the Endpoint <a href="#uofapiallsporteventsforaspecificdateendpoint-abouttheendpoint" id="uofapiallsporteventsforaspecificdateendpoint-abouttheendpoint"></a>

**Endpoint PATH**

```
sports/{language}/schedules/{date}/schedule.xml
```

**Endpoint Description**

This endpoint returns information about all the available sport events on a specific date i.e. it lists all sport events scheduled to start on a specified date (UTC). 'date' is an ISODate (e.g. 2016-03-31)

&#x20;**Endpoint Parameters**

| Parameter                                                     | Description                   | Possible Values                                                                                          |
| ------------------------------------------------------------- | ----------------------------- | -------------------------------------------------------------------------------------------------------- |
| <p><em>language</em></p><p><strong>Required</strong></p>      | Language code for translation | See all supported languages and their codes on [language support](/uof/introduction/language-support.md) |
| <p><em>date</em></p><p><em><strong>Required</strong></em></p> | start\_date of the match      | The date should be given in ISODate format (YYYY-MM-DD).                                                 |

### Endpoint Structure <a href="#uofapiallsporteventsforaspecificdateendpoint-endpointstructure" id="uofapiallsporteventsforaspecificdateendpoint-endpointstructure"></a>

{% hint style="success" %}
Change hint typeFor a full breakdown of each endpoint and its structure, refer to the [Element page](https://app.gitbook.com/o/ZO6TPSCtikUxdBddrKNy/s/1KlIQPveu0EGYCTI8DL1/~/changes/151/api-and-structure/api/elements)​
{% endhint %}

The endpoint is structured as follows:

* **\<schedule>**
  * <[sport\_event](/uof/api-and-structure/api/elements/less-than-sport_event_status-greater-than.md)>
    * <[tournament\_round](/uof/api-and-structure/api/elements/less-than-tournament_round-greater-than.md)>
    * <[season](/uof/api-and-structure/api/elements/less-than-season-greater-than.md)>
    * <[tournament](/uof/api-and-structure/api/elements/less-than-tournament-greater-than.md)>
      * <[sport](/uof/api-and-structure/api/elements/less-than-sport-greater-than.md)>
      * <[category](/uof/api-and-structure/api/elements/less-than-category-greater-than.md)>
    * <[competitors](/uof/api-and-structure/api/elements/less-than-competitors-greater-than.md)>
      * \<competitor>
        * \<reference\_ids>
          * \<reference\_id>

More information about each of the above elements can be found by following the respective links.

Please note that the events mentioned in the endpoint are related to the specified date.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/uof/api-and-structure/api/static-sport-event-information/all-sport-events-for-a-specific-date-endpoint.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
